### Virtual Method

# Gio Proxy connect_async

since: 2.26

#### Declaration

    void
    connect_async (
      GProxy* proxy,
      GIOStream* connection,
      GProxyAddress* proxy_address,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronous version of g_proxy_connect().

Available since: 2.26

#### Parameters

`connection`

  Type: `GIOStream`

  A `GIOStream`.

  The data is owned by the caller of the function.

`proxy_address`

  Type: `GProxyAddress`

  A `GProxyAddress`.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

`user_data`

  Type: `gpointer`

  Callback data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.